# Generated from pact-support-1.21.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pact-support

Name: rubygem-%{gem_name}
Version: 1.21.3
Release: 1%{?dist}
Summary: Shared code for Pact gems
License: MIT
URL: https://github.com/pact-foundation/pact-support
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(stringio) >= 3
# BuildRequires: rubygem(stringio) < 4
# BuildRequires: rubygem(rspec) >= 2.14
# BuildRequires: rubygem(rspec) < 4.0
# BuildRequires: rubygem(webmock) >= 3.18.1
# BuildRequires: rubygem(webmock) < 3.19
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(fakefs) >= 2.4.0
# BuildRequires: rubygem(fakefs) < 2.5
# BuildRequires: rubygem(hashie) >= 5.0
# BuildRequires: rubygem(hashie) < 6
# BuildRequires: rubygem(activesupport)
# BuildRequires: rubygem(appraisal)
# BuildRequires: rubygem(conventional-changelog) >= 1.3
# BuildRequires: rubygem(conventional-changelog) < 2
# BuildRequires: rubygem(bump) >= 0.5
# BuildRequires: rubygem(bump) < 1
# BuildRequires: rubygem(base64) >= 0.2
# BuildRequires: rubygem(base64) < 1
# BuildRequires: rubygem(ostruct)
BuildArch: noarch

%description
Shared code for Pact gems.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Thu Jun 26 2025 mockbuilder - 1.21.3-1
- Initial package
